# Forms

## Get forms by app ID

> Retrieves a list of forms associated with a given app ID.

```json
{"openapi":"3.0.0","info":{"title":"Gleantap External API","version":"1.0.0"},"tags":[{"name":"Forms","description":"Forms"}],"servers":[{"url":"https://api.gleantap.com","description":"Production server"}],"paths":{"/v2/ExternalApi/getForms/{app_id}":{"get":{"tags":["Forms"],"summary":"Get forms by app ID","description":"Retrieves a list of forms associated with a given app ID.","operationId":"getForms","parameters":[{"name":"app_id","in":"path","description":"App ID","required":true,"schema":{"type":"string"}},{"name":"X-API-KEY","in":"header","description":"Your API key","required":true,"schema":{"type":"string"}},{"name":"X-SECRET-KEY","in":"header","description":"Your Secret key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"List of forms","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"form_id":{"description":"Form ID","type":"string"},"name":{"description":"Form name","type":"string"},"title":{"description":"Form title","type":"string"},"created_on":{"description":"Form creation date","type":"string"},"status":{"description":"Form status","type":"integer"},"updated_on":{"description":"Form update date","type":"string"},"leads_count":{"description":"Number of leads","type":"integer"},"last_lead_date":{"description":"Date of the last lead","type":"string"}},"type":"object"}}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"message":{"type":"string"}},"type":"object"}}}},"429":{"description":"Too many requests in a day","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"message":{"type":"string"}},"type":"object"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.gleantap.com/fetch-data/forms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
